Page MenuHomePhabricator

Rename AttributeSet to AttributeList
ClosedPublic

Authored by rnk on Mar 17 2017, 2:07 PM.

Details

Summary

This class is a list of AttributeSetNodes corresponding the function
prototype of a call or function declaration. This class used to be
called ParamAttrListPtr, then AttrListPtr, then AttributeSet. It is
typically accessed by parameter and return value index, so
"AttributeList" seems like a more intuitive name.

Rename AttributeSetImpl to AttributeListImpl to follow suit.

It's useful to rename this class so that we can rename AttributeSetNode
to AttributeSet later. AttributeSet is the set of attributes that apply
to a single function, argument, or return value.

Diff Detail

Repository
rL LLVM

Event Timeline

rnk created this revision.Mar 17 2017, 2:07 PM
chandlerc edited edge metadata.Mar 17 2017, 2:51 PM

I think it'd be good to send a quick RFC / heads up email to the dev list about the refactorings you're planning here just so that folks know what the roadmap is. I'll review this in the mean time.

rnk added a comment.Mar 20 2017, 3:12 PM

I sent an RFC: http://lists.llvm.org/pipermail/llvm-dev/2017-March/111326.html

Maybe it was too long, I haven't gotten any responses yet. =)

pete accepted this revision.Mar 20 2017, 11:26 PM
pete added a subscriber: pete.

I scrolled through fairly quickly, but everything looked fine. Looks like basically renaming and fixing formatting along the way.

So LGTM, and thanks for cleaning this up!

This revision is now accepted and ready to land.Mar 20 2017, 11:26 PM
This revision was automatically updated to reflect the committed changes.

If i understand correctly AttributeSet is a list of attribute sets. If this is correct why not changing the name to AttributeSetList?

rnk added a comment.Mar 29 2017, 10:41 AM

If i understand correctly AttributeSet is a list of attribute sets. If this is correct why not changing the name to AttributeSetList?

That's correct, I just felt AttributeSetList was too long.